メインコンテンツへスキップ
GET
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
公開済みのテーブルの詳細を取得
curl --request GET \
  --url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName} \
  --header 'Authorization: Bearer <token>'
{
  "allowChildTables": true,
  "allowPublicApiAccess": true,
  "columnCount": 123,
  "columns": [
    {
      "deleted": true,
      "description": "<string>",
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "type": "BOOLEAN",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "createdByUserId": 123,
      "foreignColumnId": 123,
      "foreignIds": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "foreignIdsById": {},
      "foreignIdsByName": {},
      "foreignTableId": 123,
      "optionCount": 123,
      "options": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "order": 123,
          "type": "<string>",
          "updatedAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123
        }
      ],
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "updatedByUserId": 123,
      "width": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "deleted": true,
  "deletedAt": "2023-11-07T05:31:56Z",
  "dynamicMetaTags": {},
  "enableChildTablePages": true,
  "id": "<string>",
  "label": "<string>",
  "name": "<string>",
  "published": true,
  "publishedAt": "2023-11-07T05:31:56Z",
  "rowCount": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "useForPages": true,
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  },
  "isOrderedManually": true,
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

tableIdOrName
string
必須

クエリパラメータ

archived
boolean

アーカイブ済みの結果のみを返すかどうか。

includeForeignIds
boolean
isGetLocalizedSchema
boolean

レスポンス

successful operation

allowChildTables
boolean
必須

子テーブルを作成できるかどうかが指定されます

allowPublicApiAccess
boolean
必須

テーブルを許可なしで誰でも読み取れるかどうかが指定されます

columnCount
integer<int32>
必須

削除された列を含む列の数

columns
object[]
必須

テーブル内の列のリスト

createdAt
string<date-time>
必須

テーブルが作成された時点のタイムスタンプ

deleted
boolean
必須

テーブルが削除済みにされたかどうかを示します。

deletedAt
string<date-time>
必須

テーブルが削除された日時を示すタイムスタンプ。

dynamicMetaTags
object
必須

関連付けられている列IDを使用して[メタデータフィールド](https://developers.hubspot.com/docs/cms/guides/dynamic-pages/hubdb#dynamic-pages)のキー値ペアが指定されます。

enableChildTablePages
boolean
必須

子テーブルを使用した複数レベルの動的ページの作成が指定されます

id
string
必須

テーブルのID

label
string
必須

テーブルのラベル

name
string
必須

テーブルの数

published
boolean
必須

テーブルが現在公開されているかどうかを示します。

publishedAt
string<date-time>
必須

テーブルが最近公開された時点のタイムスタンプ

rowCount
integer<int32>
必須

テーブル内の行数

updatedAt
string<date-time>
必須

テーブルが最近更新された時点のタイムスタンプ

useForPages
boolean
必須

テーブルを動的ページの作成に使用できるかどうかが指定されます

createdBy
object
isOrderedManually
boolean

テーブルの行が手動で並べ替えられたかどうかを示します。

updatedBy
object
Last modified on April 13, 2026